Subject: Re: [PATCH] softmac: Fix WX and association related races

From: Johannes Berg <[email-masked]>
Date: Thu, 28 Sep 2006 16:43:11 +0200

On Thu, 2006-09-28 at 10:37 -0400, Dan Williams wrote:

> Yes, I think I did.  My point here wasn't that the driver is _not_
> sending those messages (it almost certainly is), but what's _implied_ by
> those messages.  Namely that, if you're using a tool like wpa_supplicant
> and/or NM, when you get a deauth from the AP and send the IWAP event,
> all bets are off because the tool will likely override whatever the
> driver thinks its doing.

Ah ok. But I suppose the actual problem is that different drivers do it
differently and hence wpa_supplicant or similar simply cannot react
properly.

That said, I do believe softmac tries reauth or did at some point, I
remember implementing that because the net at uni kept kicking me out.

johannes